<?php

declare(strict_types=1);

namespace svoboda\time;

// Built-in libraries
use DateTime as datetime;

/**
 * Statement
 *
 *By ATOM format: "Y-m-d\\TH:i:sP"
 *
 * @see https://www.youtube.com/watch?v=DGqDSEEZjwA Statement of Svoboda creation
 * @see https://web.archive.org/web/20250202093707/https://www.youtube.com/watch?v=DGqDSEEZjwA Statement of Svoboda creation (WebArchive)
 *
 * @package svoboda\time
 *
 * @method 
 *
 * @license http://www.wtfpl.net/ Do What The Fuck You Want To Public License
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class statement
{
	/**
	 * Statement
	 *
	 * @see https://en.wikipedia.org/wiki/Atom_(web_standard) ATOM
	 * @see https://www.php.net/manual/en/class.datetimeinterface.php#datetimeinterface.constants.atom DateTime ATOM
	 *
	 * @var string $statement Time of the statement of Svoboda creation was publishedsda
	 */
	protected static string $statement = '2024-06-01T20:15:25+00:00';

	/**
   * Datetime
	 *
	 * @return datetime DateTime implementator for the statement publishment time
	 */
	public static function datetime(): datetime
	{
		// Exit (success)
		return datetime::createFromFormat(datetime::ATOM, static::$statement);
	}

	/**
   * Timestamp
	 *
	 * @return int Seconds that passed from the statement was publishment
	 */
	public static function timestamp(): int
	{
		// Exit (success)
		return new datetime()->getTimestamp() - static::datetime()->getTimestamp();
	}
}
